/* generic.css */
/* spiritshard.com */

/* Variables */
:root{
	--msite-contbackgroundcolor: #1e1e1e;
	--msite-linkcolor: #00ccff;
	--msite-linkcolorhover: #ffa74f;
}

/* Common Tags */

video{
    display: block;
    margin: 0px auto;
    max-width: 100%;
    max-height: 1000px;
    padding: 0px;
    text-align: center;
}
img{
    display: block;
    margin: 0px auto;
    max-width: 100%;
    max-height: 1000px;
    padding: 0px;
    text-align: center;
}
img a:link{
	border:none;
	margin: 0px;
	padding: 0px;
}
img a:visited{
	border:none;
}
img a:hover{
	border:none;
}
img a:active{
	border:none;
}
a:link{
	font-family: 'Open Sans', sans-serif;
	text-decoration:none;
	color:var(--msite-linkcolor);
    text-shadow: 2px 2px 0px #000;
}
a:visited{
	font-family: 'Open Sans', sans-serif;
	text-decoration:none;
	color:var(--msite-linkcolor);
    text-shadow: 2px 2px 0px #000;
}
a:hover{
	font-family: 'Open Sans', sans-serif;
	text-decoration:none;
	color:var(--msite-linkcolorhover);
    text-shadow: 2px 2px 0px #000;
}
a:active{
	font-family: 'Open Sans', sans-serif;
	text-decoration:none;
	color:var(--msite-linkcolor);
    text-shadow: 2px 2px 0px #000;
}
html{
	padding:0px;
	margin:0px;
}
body{
    background-image: url('../asset/SpikeDiamondsBackgroundPattern.png');
	background-repeat: repeat;
	background-attachment: fixed;
	background-color:#121212;
	padding:0px;
	margin:auto;
	width:100%;
    min-width: 600px;
	
	font-family: 'Open Sans', sans-serif;
	font-weight:100;
	font-size:0.95em;
	color:#e1e1e1;
	text-align:left;

    overflow-wrap: break-word;
    overflow-x: hidden;
}
strong{
    color: #fff;
}
h1{
    margin: auto;
    font-family: 'Open Sans', sans-serif;
	font-weight:650;
	font-size: 2.2em;
	text-align:center;
    color: #fff;
    padding: 0px 0px 0px 0px;
    text-shadow: 2px 2px 0px #000;
}

.content h1{
    max-width: 1200px;
    margin: auto 0px auto 0px;
}

h2{
    margin: 0px auto 0px auto;
    font-family: 'Open Sans', sans-serif;
	font-weight:600;
	font-size:1.6em;
	text-align:left;
    color: #fff;
    padding: 20px 0px 0px 0px;
    text-shadow: 2px 2px 0px #000;
}

h3{
    margin: 0px auto 0px auto;
    font-family: 'Open Sans', sans-serif;
	font-weight:600;
	font-size:1.2em;
	text-align:left;
    color: #fff;
    padding: 20px 0px 0px 0px;
    text-shadow: 2px 2px 0px #000;
}

h3.nomargin{
    margin: 0px;
    padding: 0px;
}

.nomargin{
    margin: 0px;
}
.nopadding{
	padding: 0px;
}

p{
    margin: auto;
    font-family: 'Open Sans', sans-serif;
	font-weight:400;
	font-size: 0.95em;
	text-align:left;
    padding: 5px 0px 5px 0px;
    text-shadow: 1px 1px 0px #000;
}

pre{
    font-family: "Source Code Pro", monospace;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
	font-size: 0.95em;
    background-color: #181818;
    border: 2px solid #000;
    width: 100%;
    margin: auto;
    padding: 5px 0px 5px 0px;
    margin-inline: -20px;
    padding-inline: 18px;
	text-align:left;
}

code{
    font-family: "Source Code Pro", monospace;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
	font-size: 0.95em;
}

blockquote{
    background-color: #181818;
    border: 2px solid #000;
    width: 100%;
    margin: auto;
    padding: 5px 0px 5px 0px;
    margin-inline: -20px;
    padding-inline: 18px;
}
blockquote.dlbox{
    border-color: #5b96ce;
	margin-top: 5px;
	margin-bottom: 10px;
}

ul {
    margin: 0px 0px 10px 0px;
    padding: 0px;
    padding-inline-start: 20px;
    font-family: 'Open Sans', sans-serif;
	font-weight:400;
	font-size: 0.95em;
    list-style-type: square;
    list-style-position: outside;
}

img + em{
    display: block;
    text-align: center;
}

hr{
    height: 2px;
    width: 95%;
    border-width: 0px;
    background-color: #e1e1e1;
    margin-top: 20px;
    margin-bottom: 20px;
    box-shadow: 2px 2px 0px #000;
}

hr + h2{
    margin: 0px;
    padding: 0px;
}

hr + h3{
    margin: 0px;
    margin-top: 0px;
    padding: 0px;
    padding-top: 0px;
}

/* Div Classes */

.date{
    width: auto;
    margin: auto;
    font-family: 'Open Sans', sans-serif;
	font-weight:400;
	font-size: 1em;
	text-align:center;
    color: #b1b1b1;
    padding: 0px 0px 5px 0px;
}

.update{
    width: auto;
    margin: auto;
	font-weight:400;
	font-size:0.95em;
	text-align:left;
    color: #b1b1b1;
    padding: 10px 0px 0px 0px;
}

.contover{
    overflow: hidden;
}

.content{
    background-color: var(--msite-contbackgroundcolor);
    border: 1px solid #000;
    border-radius: 12px;
    box-shadow: 0px 0px 5px #000;
    margin: auto;
    margin-top: 5px;
    margin-bottom: 5px;
    max-width: 1240px;
    padding-inline: 20px 20px 20px 20px;
}

.disp{
    display: block;
}

.colsection{
    max-width: 1240px;
    width: fit-content;
    overflow: visible;
    margin: auto;
}

.onecol{
    max-width: 1000px;
    margin: auto;
}

.twocol{
    display:inline-flex;
    width: 572px;
    padding: 0px;
    margin: auto;
    margin-inline: 20px;
}

.thirdcol{
    display: block;
    float: left;
    max-width: 400px;
    padding: 0px;
    margin: 0px;
    margin-inline: 20px;
}

.twothirdcol{
    display: block;
    float: left;
    max-width: 800px;
    padding: 0px;
    margin: 0px;
    margin-inline: 20px;
}

/* r18 check */
#r18overlay{
    position: fixed;
    display: block;
    width: 100%;
    height: 100%;
    margin: 0px;
    background-color: rgba(0, 0, 0, .9);
    backdrop-filter: blur(20px);
    display: block;
    z-index: 50;
}

#r18message{
    max-width: 600px;
    margin: 100px auto 0px auto;
}

#r18selbox{
    margin: auto;
    overflow: visible;
    display: flex;
    width: fit-content;
    height: fit-content;
}

#r18no{
    margin: 10px;
    cursor: pointer;
    border: solid 2px #ff7e00;
    padding-inline: 10px;
    width: fit-content;
    height: fit-content;
}

#r18yes{
    margin: 10px;
    cursor: pointer;
    border: solid 2px #00ccff;
    padding-inline: 10px;
    width: fit-content;
    height: fit-content;
}

/* Assists */
.cenalign{
    margin:auto;
    float: none;
    text-align: center;
}

.floatleft{
    display: inline-block;
    margin-left: auto;
    margin-right: auto;
    height: fit-content;
}

.CenImage{
    text-align: center;
}

#blogload{
    padding: 10px 0px;
}

/* NavBar */

#navbox{
    max-width: 1420px;
    height: 90px;
    margin: auto;
    position: sticky;
    top: 0px;
    pointer-events: none;
    z-index: 10;
}

#navtextbox{
    max-width: 1280px;
    min-height: 60px;
    height: fit-content;
    overflow: hidden;
    margin: auto;
    padding: 0px 84px 0 84px;
}

#navtext {
    max-width: fit-content;
    min-height: auto;
    margin: 12px auto 0 auto;
    text-align: center;
    background-color: #1e1e1e;
    border: 2px solid #000;
    border-radius: 15px;
    box-shadow: 0px 0px 10px #000;
    position:relative;
    z-index: 1;
    font-size: 18px;
}

#navtext::before{
    content: '';
    display: inline-block;
    margin: 0 4px 0 4px;
    width: 8px;
    height: 8px;
    border-style: solid;
    border-width: 5px;
    border-radius: 50%;
    border-color: #000;
    background: #1e1e1e;
    transform: translate(0px, 3.5px);
    z-index: 1;
}

#navtext::after{
    content: '';
    display: inline-block;
    margin: 0 5px 0 4px;
    width: 8px;
    height: 8px;
    border-style: solid;
    border-width: 5px;
    border-radius: 50%;
    border-color: #000;
    background: #1e1e1e;
    transform: translate(0px, 3.5px);
    z-index: 1;
}

#navtext a {
    color: #fff;
}

.na{
    width: fit-content;
    height: fit-content;
    display: inline-block;
    padding: 2px 2px 4px 2px;
    pointer-events: all;
    font-weight: 700;
	border-top: 1px solid #1e1e1e;
	border-bottom: 1px solid #1e1e1e;
}

.na.support{
	text-shadow: 0px 0px 1px #000, 0px 0px 4px #ff35dd;
}

.nr{
    width: 8px;
    height: 8px;
    margin: 0px 0px 1px 0px;
    display: inline-flex;
    background-color: #fff;
    border-radius: 50%;
}

#naviconbox{
    max-width: 1280px;
    min-height: 100px;
    overflow: hidden;
    margin: -22px auto 0px auto;
    z-index: 0;
}

#navicon {
    width:fit-content;
    height:auto;
	display: flex;
	flex-direction: row;
    margin: 10px auto 10px auto;
    padding: 0px;
    text-align: center;
}

.nai{
    width: 60px;
    height: 60px;
    margin: 5px 2px;
	padding: 0px;
    display: flex;
    background-color: #1e1e1e;
    border: 2px solid #000;
    border-radius: 15px;
    box-shadow: 0px 0px 10px #000;
    z-index: 0;
    position: relative;
    pointer-events: all;
}

.nai_arrow{
    width: 24px;
}

.naimg{
    position: relative;
    margin: 0px;
    top:50%;
    left:50%;
    transform: translate(-50%,-50%);
    max-width: 50px;
    max-height: 50px;
    filter: drop-shadow(2px 2px 0px #000);
}

.naiimg_arrow{
    position: relative;
    margin: 0px;
    top:50%;
    left:50%;
    transform: translate(-50%,-50%);
    max-width: 24px;
    max-height: 24px;
    filter: drop-shadow(2px 2px 0px #000);
}

.nribox{
	height: 60px;
	margin: 5px 2px;
}

.nri{
    width: 8px;
    height: 8px;
    margin: 28px 2px 16px 2px;
    display: inline-flex;
    background-color: #fff;
    border-radius: 50%;
}

#navlogobox{
    width: 84px;
    height: 112px;
    margin: 0px 0px 0px 0px;
    border: 1px solid #000;
    border-radius: 10px 10px 10px 10px;
    background-color: #1e1e1e;
    box-shadow: 0px 0px 5px #000;
    position: absolute;
    z-index: 3;
}

#navlogo{
    width: 72px;
    margin: 10px 0px 0px 4px;
    position: relative;
    padding: 0px 0px 0px 0px;
    z-index: 3;
    pointer-events: none;
    filter: drop-shadow(2px 2px 0px #000);
}

#navhider{
    margin: 20px 0px 0px 42px;
    width: 30px;
    height: 30px;
    rotate: 45deg;
    background-color: #1e1e1e;
    border: 1px solid #000;
    box-shadow: 0px 0px 5px #000;
    position: absolute;
    z-index: 2;
}

#navclick{
    width: 100px;
    height: 98px;
    position: absolute;
    pointer-events: all;
    cursor:pointer;
}

#navsidebox{
    width: 86px;
    height: fit-content;
    overflow: hidden;
    margin: -46px 0px 0px 0px;
    padding-top: 10px;
    z-index: 0;
    position: absolute;
}

#navsidebox a,
#navsidebox a:link,
#navsidebox a:visited,
#navsidebox a:hover,
#navsidebox a:active{
	height: 0px;
	width: 0px;
	margin: 0px;
	padding: 0px;
	font-size: 0em;
	background-color: #ff7e00;
}

#navside{
    width:auto;
    height:fit-content;
	flex-direction: column;
    padding: 200px 80px;
    text-align: center;
    margin: 20px 0px 7px 10px;
    padding: 0px;
    transform: translate(0%, -140%);
}

#cbreak{
    height: 24px;
}

/* Footer */
.foot{
    max-width: 1200px;
    width: fit-content;
    height: fit-content;
    margin: auto;
    padding: 10px 0px 10px 0px;
    text-align: center;
}

.foot a {
    color: #fff;
}

/* Attract */
.atthead{
	height: 100px;
	font-weight:600;
	font-size:80px;
    color: #fff;
	text-align:center;
    text-shadow: 2px 2px 0px #666;
	margin: -6px auto 0px auto;
	padding-top: 0px;
	width: fit-content;
}
.attaka{
	display:inline-block;
	font-weight: 400;
	font-size: 24px;
	vertical-align:middle;
	line-height: 0px;
	margin: 0px 5px;
	height: 18px;
	border-bottom: 2px solid #666;
}
.attsub{
	font-weight:600;
	font-size:40px;
	color:#fff;
	text-align:center;
    text-shadow: 2px 2px 0px #666;
    margin: 0px auto 0px auto;
}
.attsubt{
    display: inline-block;
}

/* Sector details */
.sectlablewrap{
    content: '';
    width: 100%;
    height: fit-content;
    box-shadow: 0px 5px 3px #000;
}

.sectlable{
    background-color: #e1e1e1;
    border-radius: 12px 12px 0px 0px;
    box-shadow: 0px 5px 0px #666;
    text-align: center;
    max-width: 1240px;
    min-height: 14px;
    margin: 0px auto 15px auto;
}

.sectfont{
    margin: auto;
    font-family: 'Open Sans', sans-serif;
	font-weight:650;
	font-size: 2.2em;
	text-align:center;

    background-color: #000;
    color: transparent;
    text-shadow: 0px 0px 1px #1e1e1e;
    -webkit-background-clip: text;
    -moz-background-clip: text;
    background-clip: text;
}

.secttwrap{
    content: '';
    width: 100%;
    height: fit-content;
    box-shadow: 0px 3px 3px #000;
}

.sectt{
    background-color: #e1e1e1;
    border-radius: 12px 12px 0px 0px;
    box-shadow: 0px 3px 0px #666;
    text-align: center;
    width: 100%;
    min-height: 14px;
    margin: 0px auto 15px auto;
}

.sectbwrap{
    content: '';
    width: 100%;
    height: fit-content;
    box-shadow: 0px -3px 3px #000;
}

.sectb{
    background-color: #e1e1e1;
    border-radius: 0px 0px 12px 12px;
    box-shadow: 0px -3px 0px #666;
    text-align: center;
    width: 100%;
    min-height: 14px;
    margin: 10px auto 0px auto;
}

#sectntwrap{
    content: '';
    width: fit-content;
    height: fit-content;
    box-shadow: 0px 3px 3px #000;
}

#sectnt{
    background-color: #e1e1e1;
    border-radius: 10px 10px 0px 0px;
    box-shadow: 0px 3px 0px #666;
    text-align: center;
    width: 84px;
    min-height: 10px;
    margin: 0px auto 0px auto;
}

.sectlable.blog,
.blog .sectlable{
    background-color: #77bdff;
    box-shadow: 0px 5px 0px #5b96ce;
}
.sectt.blog,
.blog .sectt{
    background-color: #77bdff;
    box-shadow: 0px 3px 0px #5b96ce;
}
.sectb.blog,
.blog .sectb{
    background-color: #77bdff;
    box-shadow: 0px -3px 0px #5b96ce;
}

.sectlable.creative,
.creative .sectlable{
    background-color: #ffa74f;
    box-shadow: 0px 5px 0px #b87737;
}
.sectt.creative,
.creative .sectt{
    background-color: #ffa74f;
    box-shadow: 0px 3px 0px #b87737;
}
.sectb.creative,
.creative .sectb{
    background-color: #ffa74f;
    box-shadow: 0px -3px 0px #b87737;
}

.sectlable.article,
.article .sectlable{
    background-color: #6fe2be;
    box-shadow: 0px 5px 0px #57a58c;
}
.sectt.article,
.article .sectt{
    background-color: #6fe2be;
    box-shadow: 0px 3px 0px #57a58c;
}
.sectb.article,
.article .sectb{
    background-color: #6fe2be;
    box-shadow: 0px -3px 0px #57a58c;
}

.sectlable.video,
.video .sectlable{
    background-color: #ff8;
    box-shadow: 0px 5px 0px #BBB82B;
}
.sectt.video,
.video .sectt{
    background-color: #ff8;
    box-shadow: 0px 3px 0px #BBB82B;
}
.sectb.video,
.video .sectb{
    background-color: #ff8;
    box-shadow: 0px -3px 0px #BBB82B;
}

.sectlable.gamemod,
.gamemod .sectlable{
    background-color: #a7e9ff;
    box-shadow: 0px 5px 0px #5ba7c0;
}
.sectt.gamemod,
.gamemod .sectt{
    background-color: #a7e9ff;
    box-shadow: 0px 3px 0px #5ba7c0;
}
.sectb.gamemod,
.gamemod .sectb{
    background-color: #a7e9ff;
    box-shadow: 0px -3px 0px #5ba7c0;
}

.sectlable.aimodel,
.aimodel .sectlable{
    background-color: #df90ff;
    box-shadow: 0px 5px 0px #b86dd6;
}
.sectt.aimodel,
.aimodel .sectt{
    background-color: #df90ff;
    box-shadow: 0px 3px 0px #b86dd6;
}
.sectb.aimodel,
.aimodel .sectb{
    background-color: #df90ff;
    box-shadow: 0px -3px 0px #b86dd6;
}

/* Display and Content Blocks */

.dynsection{
    max-width: 1240px;
    width: 100%;
    display: flex;
    justify-content: center;
    align-content: start;
    align-items: start;
    flex-wrap: wrap;
}

.dynblock{
    width: 250px;
    height: 200px;
    margin: 5px 5px;
    border: 2px solid #000;
    box-shadow: 2px 2px #00000066;
    background-color:#181818;
    overflow: hidden;
}

.dynimg{
    width: 100%;
    height: 100%;
}

.dynimg img{
    object-fit:contain;
    object-position:center;
    height: 200px;
    max-width: 250px;
}

.dyndisp{
    position: absolute;
    width: 250px;
    height: fit-content;
    transform: translate(0%, -100%);
    border-top: 2px solid #000;
    background-color: #000000bb;
}

.dyntitle{
    overflow: hidden;
    height: 0px;
}

.dyntitlenoimg{
    overflow: hidden;
    height: 100px;
}

.dyndisp h1{
    font-size: 18px;
    margin: 0px;
    padding: 0px;
}

.dyndisp h2{
    font-size: 14px;
    margin: 0px;
    padding: 0px;
    text-align: center;
    border-bottom: 2px solid #000;
}
.dyndisp.blog h2{
    border-bottom: 2px solid #77bdff;
}
.dyndisp.gamemod h2{
    border-bottom: 2px solid #a7e9ff;
}
.dyndisp.article h2{
    border-bottom: 2px solid #6fe2be;
}
.dyndisp.aimodel h2{
    border-bottom: 2px solid #df90ff;
}
.dyndisp.video h2{
    border-bottom: 2px solid #ff8;
}
.dyndisp.creative h2{
    border-bottom: 2px solid #ffa74f;
}

.dyndisp .date{
    border-top: 2px solid #000;
    font-size: 12px;
    font-weight: 600;
    margin: 0px;
    padding: 0px;
}

.dynheader h2{
    width: 100%;
    text-align: center;
    margin: 5px 0px 0px 0px;
    padding: 0px;
}

.dynheaderside{
    width: 100%;
    padding-inline: 20px;
}

.dynheaderside h2{
    width: 100%;
    text-align: left;
    margin: 10px 0px 0px 0px;
    padding: 0px;
    padding-inline-start: 20px;
}

.dynbreakbar{
    width: 100%;
    height: 2px;
    background-color: #e1e1e1;
    margin: -4px 0px 12px 0px;
}

/* Page Changer */
.pagechange{
    max-width: 1240px;
    width: 100%;
    display: flex;
    justify-content: center;
    align-content: start;
    align-items: start;
    flex-wrap: wrap;
    font-weight:500;
}

.pagenum{
    padding: 0px 6px 0px 6px;
}

.backtosegment{
	font-size: 1.6em;
	font-weight: 800;
	width: fit-content;
	margin-left: 8px;
	padding: 8px;
}

.shadowtextinfo{
	display: inline-block;
	color: #666;
	margin-left: 0.2em;
}

a[href$=".7z"]::after,
a[href$=".png"]::after{
	display: inline-block;
	margin-left: 0.25em;
	margin-right: 0.25em;
	vertical-align:sub;
	height: 0.9em;
	width: 0.9em;
	content:
		url(/asset/dl_icon.svg) / "Download";
}